Bug 172576 - Driver needs to be compiled to reflect new requirements of modular X
Driver needs to be compiled to reflect new requirements of modular X
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2005-11-07 09:33 EST by Ryan Skadberg
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-28 11:04:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ryan Skadberg 2005-11-07 09:33:02 EST
Synaptics hasn't been updated for modular X.  Getting this when updating:

Error: Missing Dependency: XFree86-libs is needed by package synaptics
Comment 1 Alexandre Oliva 2005-11-16 21:12:55 EST
It gets worse: even if I link synaptics_drv.o into the dir where the new modular
X keeps its modules, X still refuses to load the module, so none of the
synaptics features work :-(
Comment 2 Bojan Smojver 2005-11-16 22:53:07 EST
This is related to the fact that the paths of synaptics driver package are
wrong. Symlinking the driver to the new location of the input modules works
around the problem for me.

The package should be rebuilt with new paths.
Comment 3 Matthias Saou 2005-11-18 07:18:08 EST
I took a look at this, and the included Makefile doesn't make it trivial to fix
cleanly. One could simply move back the built module to the new correct location
in %install, but the proper fix (in case some of the paths change again) would
be to use pkg-config to gather all the required information from inside the
Makefile itself.
Comment 4 Paul Nasrat 2005-11-28 11:03:08 EST
This really needs to be addressed upstream, to allow the driver to build with
modular and non-modular X.
Comment 5 Paul Nasrat 2005-11-28 11:04:29 EST
Should be fixed in synaptics-0.14.4-4

Note You need to log in before you can comment on or make changes to this bug.